Commit a63b54e9 authored by Carola Nitz's avatar Carola Nitz

CircleCi, fastlane: adjust Xcode and Ruby for CircleCI and remove xcversion from fastlane

parent f31aeec5
......@@ -3,14 +3,14 @@ version: 2
jobs:
build:
macos:
xcode: "9.2.0"
xcode: "9.3.0"
environment:
LC_ALL: en_US.UTF-8
LANG: en_US.UTF-8
shell: /bin/bash --login -eo pipefail
steps:
- checkout
- run: echo "2.3.5" > .ruby-version
- run: echo "2.3.7" > .ruby-version
- restore_cache:
key: v1-gems-{{ checksum "Gemfile.lock" }}
- run: bundle check || bundle install --path .bundle
......
......@@ -41,7 +41,6 @@ end
lane :ci do
lint
xcversion(version: '9.2.0')
xcode_select '/Applications/Xcode.app'
# Ideally we have iOS 9 support here but this is not yet added
# https://discuss.circleci.com/t/please-add-simulators-for-ios-9-10-to-xcode-9-image/16530
......@@ -59,7 +58,7 @@ lane :ci do
configuration: 'Debug',
clean: true,
build: true,
destination: 'platform=tvOS Simulator,name=Apple TV 1080p,OS=10.2'
destination: 'platform=tvOS Simulator,name=Apple TV,OS=11.3'
)
test
end
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment